summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Andrew Rowland2011-12-26 12:55:41 +0100
committer Robby Workman2011-12-27 17:15:07 +0100
commit74a8c3ca864da52f7879ffcf039a94fca60fe1fb (patch)
treea792a41bde684d89f9a0506e5303db14dc09e9ca /desktop
parentffb08df680223f21f3726a22c086c9687ad16fba (diff)
downloadslackbuilds-74a8c3ca864da52f7879ffcf039a94fca60fe1fb.tar.gz
desktop/vtwm: Added (One of many twm descendents)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/vtwm/README7
-rw-r--r--desktop/vtwm/slack-desc19
-rw-r--r--desktop/vtwm/vtwm.SlackBuild82
-rw-r--r--desktop/vtwm/vtwm.info10
4 files changed, 118 insertions, 0 deletions
diff --git a/desktop/vtwm/README b/desktop/vtwm/README
new file mode 100644
index 0000000000..07109b57a8
--- /dev/null
+++ b/desktop/vtwm/README
@@ -0,0 +1,7 @@
+VTWM, one of many TWM descendants, implements a Virtual Desktop (VD),
+meaning that what is currently on screen is just a portion of a larger
+workspace. What portion of the virtual desktop that is displayed, and
+whatever windows might be visible within it, are simple point-and-click
+operations within a scaled representation of the workspace.
+
+This requires rplay.
diff --git a/desktop/vtwm/slack-desc b/desktop/vtwm/slack-desc
new file mode 100644
index 0000000000..736145975d
--- /dev/null
+++ b/desktop/vtwm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vtwm: vtwm (One of many twm descendents)
+vtwm:
+vtwm: VTWM, one of many TWM descendants, implements a Virtual Desktop (VD),
+vtwm: meaning that what is currently on screen is just a portion of a larger
+vtwm: workspace. What portion of the virtual desktop that is displayed, and
+vtwm: whatever windows might be visible within it, are simple
+vtwm: point-and-click operations within a scaled representation of the
+vtwm: workspace.
+vtwm:
+vtwm:
+vtwm:
diff --git a/desktop/vtwm/vtwm.SlackBuild b/desktop/vtwm/vtwm.SlackBuild
new file mode 100644
index 0000000000..043917a931
--- /dev/null
+++ b/desktop/vtwm/vtwm.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for vtwm
+
+# Written by Andrew Rowland <darowland@ieee.org>
+
+PRGNAM=vtwm
+VERSION=${VERSION:-5.4.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i Imakefile \
+ -e 's:-L/usr/local/lib::g' \
+ -e 's:-I/usr/local/include::g'
+
+xmkmf
+make CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS"
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/share/vtwm
+cp -r contrib/vtwmrc $PKG/usr/share/vtwm
+cp contrib/support/sysrc_add_apps.sh $PKG/usr/share/vtwm
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+doc/*ANNOUNCE doc/*README doc/*FUTURE doc/BUGS doc/CHANGELOG doc/HISTORY doc/INSTALL doc/SOUND doc/WISHLIST \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/vtwm/vtwm.info b/desktop/vtwm/vtwm.info
new file mode 100644
index 0000000000..06c1270f77
--- /dev/null
+++ b/desktop/vtwm/vtwm.info
@@ -0,0 +1,10 @@
+PRGNAM="vtwm"
+VERSION="5.4.7"
+HOMEPAGE="http://www.vtwm.org/"
+DOWNLOAD="http://sourceforge.net/projects/vtwm/files/vtwm-5.4.7.tar.gz"
+MD5SUM="707f8d93b19b46fb3d036053be66288b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andrew Rowland"
+EMAIL="darowland@ieee.org"
+APPROVED="Niels Horn"